%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 31 x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 31
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 31 x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Fri Jul 24 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.31
* Release 1.6-1.31
	Kernel modules were added for the following kernels:
		5.7.9-100

* Fri Jul 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.30
* Release 1.6-1.30
	Kernel modules were added for the following kernels:
		5.7.8-100

* Fri Jul 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.29
* Release 1.6-1.29
	Kernel modules were added for the following kernels:
		5.7.7-100

* Fri Jun 26 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.28
* Release 1.6-1.28
	Kernel modules were added for the following kernels:
		5.6.19-200

* Fri Jun 19 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.27
* Release 1.6-1.27
	Kernel modules were added for the following kernels:
		5.6.18-200

* Fri Jun 12 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.26
* Release 1.6-1.26
	Kernel modules were added for the following kernels:
		5.6.16-200

* Fri Jun  5 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.25
* Release 1.6-1.25
	Kernel modules were added for the following kernels:
		5.6.15-200

* Fri May 22 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.24
* Release 1.6-1.24
	Kernel modules were added for the following kernels:
		5.6.13-200

* Fri May 15 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.23
* Release 1.6-1.23
	Kernel modules were added for the following kernels:
		5.6.11-200

* Fri May  8 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.22
* Release 1.6-1.22
	Kernel modules were added for the following kernels:
		5.6.8-200

* Fri May  1 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.21
* Release 1.6-1.21
	Kernel modules were added for the following kernels:
		5.6.7-200
		5.6.6-200

* Fri Apr 24 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.20
* Release 1.6-1.20
	Kernel modules were added for the following kernels:
		5.5.17-200

* Fri Apr 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.19
* Release 1.6-1.19
	Kernel modules were added for the following kernels:
		5.5.16-200

* Fri Apr 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.18
* Release 1.6-1.18
	Kernel modules were added for the following kernels:
		5.5.15-200

* Fri Apr  3 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.17
* Release 1.6-1.17
	Kernel modules were added for the following kernels:
		5.5.13-200
		5.5.11-200

* Fri Mar 27 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.16
* Release 1.6-1.16
	Kernel modules were added for the following kernels:
		5.5.10-200

* Fri Mar 20 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.15
* Release 1.6-1.15
	Kernel modules were added for the following kernels:
		5.5.9-200

* Fri Mar 13 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.14
* Release 1.6-1.14
	Kernel modules were added for the following kernels:
		5.5.8-200

* Wed Mar  4 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.13
* Release 1.6-1.13
	Kernel modules were added for the following kernels:
		5.5.7-200
		5.5.6-201

* Fri Feb 28 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.12
* Release 1.6-1.12
	Kernel modules were added for the following kernels:
		5.5.5-200

* Fri Feb 21 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.11
* Release 1.6-1.11
	Kernel modules were added for the following kernels:
		5.4.20-200
		5.4.19-200

* Fri Feb 14 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.10
* Release 1.6-1.10
	Kernel modules were added for the following kernels:
		5.4.18-200
		5.4.17-200
		5.4.15-200
		5.4.14-200
		5.4.13-201
		5.4.12-200

* Fri Jan 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.9
* Release 1.6-1.9
	Kernel modules were added for the following kernels:
		5.4.10-200

* Fri Jan 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.8
* Release 1.6-1.8
	Kernel modules were added for the following kernels:
		5.4.8-200
		5.4.7-200

* Fri Dec 20 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.7
* Release 1.6-1.7
	Kernel modules were added for the following kernels:
		5.3.16-300

* Thu Dec 12 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.6
* Release 1.6-1.6
	Kernel modules were added for the following kernels:
		5.3.15-300

* Fri Dec  6 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.5
* Release 1.6-1.5
	Kernel modules were added for the following kernels:
		5.3.14-300
		5.3.13-300

* Wed Nov 27 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.4
* Release 1.6-1.4
	Kernel modules were added for the following kernels:
		5.3.12-300

* Fri Nov 15 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.3
* Release 1.6-1.3
	Kernel modules were added for the following kernels:
		5.3.11-300
		5.3.9-300

* Fri Nov  8 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.2
* Release 1.6-1.1
	Kernel modules were added for the following kernels:
		5.3.8-300

* Fri Nov  1 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.1
* Release 1.6-1.1
	Initial release. Kernel modules were added for the following kernels:
		5.3.7-301
